<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="d-flex mb-3">
                <h5 class="text-uppercase"><?php echo e(trans('labels.dashboard')); ?></h5>
            </div>
            <div class="row">
                
                <?php if(Auth::user()->type == 1): ?>
                    <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                        <div class="card border-0 box-shadow h-100">
                            <div class="card-body">
                                <div class="dashboard-card">
                                    <span class="card-icon">
                                        <i class="fa-regular fa-user fs-5"></i>
                                    </span>
                                    <span class="text-end">
                                        <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.users')); ?></p>
                                        <h4><?php echo e($users_count); ?></h4>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                        <div class="card border-0 box-shadow h-100">
                            <div class="card-body">
                                <div class="dashboard-card">
                                    <span class="card-icon">
                                        <i class="fa-regular fa-medal fs-5"></i>
                                    </span>
                                    <span class="text-end">
                                        <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.plans')); ?></p>
                                        <h4><?php echo e($plans_count); ?></h4>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                        <div class="card border-0 box-shadow h-100">
                            <div class="card-body">
                                <div class="dashboard-card">
                                    <span class="card-icon">
                                        <i class="fa-regular fa-cart-shopping fs-5"></i>
                                    </span>
                                    <span class="text-end">
                                        <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.orders')); ?></p>
                                        <h4><?php echo e($transactions_count); ?></h4>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php else: ?>
                    <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                        <div class="card border-0 box-shadow h-100">
                            <div class="card-body">
                                <div class="dashboard-card">
                                    <span class="card-icon">
                                        <i class="fa-regular fa-money-bill-1-wave fs-5"></i>
                                    </span>
                                    <span class="text-end">
                                        <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.business')); ?></p>
                                        <h4><?php echo e($business_count); ?></h4>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                        <div class="card border-0 box-shadow h-100">
                            <div class="card-body">
                                <div class="dashboard-card">
                                    <span class="card-icon">
                                        <i class="fa-regular fa-money-bill-1-wave fs-5"></i>
                                    </span>
                                    <span class="text-end">
                                        <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.appointments')); ?></p>
                                        <h4><?php echo e($appointments_count); ?></h4>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>
                <div class="col-xxl-3 col-lg-4 col-md-6 col-sm-6 mb-3">
                    <div class="card border-0 box-shadow h-100">
                        <div class="card-body">
                            <div class="dashboard-card">
                                <span class="card-icon">
                                    <i class="fa-regular fa-money-bill-1-wave fs-5"></i>
                                </span>
                                <span class="text-end">
                                    <p class="text-muted fw-medium mb-1"><?php echo e(trans('labels.subscription')); ?></p>
                                    <h4><?php echo e(helper::currency_format($subscription_sum)); ?></h4>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-8  mb-3">
                    <div class="card border-0 box-shadow h-100">
                        <div class="card-body">
                            <div class="d-flex align-items-center justify-content-between">
                                <h5 class="card-title"><?php echo e(trans('labels.total_subscription')); ?></h5>
                                <select class="form-select form-select-sm w-auto" name="subscription_year"
                                    id="subscription_year" data-url="<?php echo e(URL::to('admin/dashboard')); ?>">
                                    <?php if(count($subscription_years) != 0): ?>
                                        <?php $__currentLoopData = $subscription_years; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($year->year); ?>"
                                                <?php echo e($year->year == date('Y') ? 'selected' : ''); ?>><?php echo e($year->year); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                            <div class="row">
                                <canvas id="subscription_chart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <div class="card border-0 box-shadow h-100">
                        <div class="card-body">
                            <div class="d-flex align-items-center justify-content-between">
                                <h5 class="card-title">
                                    <?php if(Auth::user()->type == 2): ?>
                                        <?php echo e(trans('labels.total_appointments')); ?>

                                    <?php else: ?>
                                        <?php echo e(trans('labels.total_users')); ?>

                                    <?php endif; ?>
                                </h5>
                                <select class="form-select form-select-sm w-auto" name="user_year" id="user_year"
                                    data-url="<?php echo e(URL::to('admin/dashboard')); ?>">
                                    <?php if(count($user_years) != 0): ?>
                                        <?php $__currentLoopData = $user_years; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($year->year); ?>"
                                                <?php echo e($year->year == date('Y') ? 'selected' : ''); ?>><?php echo e($year->year); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                            <div class="row">
                                <canvas id="user_chart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12 mb-3">
                    <div class="card border-0 box-shadow h-100">
                        <div class="card-body">
                            <div class="d-flex align-items-center justify-content-between">
                                <h5 class="card-title"><?php echo e(trans('labels.total_business')); ?></h5>
                                <select class="form-select form-select-sm w-auto" name="business_year" id="business_year"
                                    data-url="<?php echo e(URL::to('admin/dashboard')); ?>">
                                    <?php if(count($business_years) != 0): ?>
                                        <?php $__currentLoopData = $business_years; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $year): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($year->year); ?>"
                                                <?php echo e($year->year == date('Y') ? 'selected' : ''); ?>><?php echo e($year->year); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </select>
                            </div>
                            <div class="row">
                                <canvas id="business_chart"></canvas>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(url('storage/admin-assets/js/chartjs/chart_3.9.1.min.js')); ?>"></script>
    <script>
        let check_type = <?php echo e(Js::from(Auth::user()->type)); ?>

        var subscription_label = "<?php echo e(trans('labels.subscription')); ?>"
        var business_label = "<?php echo e(trans('labels.business')); ?>"
    </script>

    <!-- Subscription Chart -->
    <script>
        var subscription_chart = null;
        var subscription_labels = <?php echo e(Js::from($subscription_labels)); ?>;
        var subscription_data = <?php echo e(Js::from($subscription_data)); ?>;
        createRevenueChart(subscription_labels, subscription_data);
        $("#subscription_year").on('change', function() {
            "use strict";
            let year = $("#subscription_year").val();
            let url = $("#subscription_year").attr('data-url');
            $('#preloader , #status').show();
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: url,
                method: "GET",
                data: {
                    subscription_year: year
                },
                dataType: "JSON",
                success: function(data) {
                    $('#preloader , #status').hide();
                    createRevenueChart(data.subscription_labels, data.subscription_data)
                },
                error: function(data) {
                    $('#preloader , #status').hide();
                    // console.log(data);
                }
            });
        });

        function createRevenueChart(subscription_labels, subscription_data) {
            "use strict";
            const chartdata = {
                labels: subscription_labels,
                datasets: [{
                    label: subscription_label,
                    data: subscription_data,
                    fill: {
                        target: 'origin',
                        above: 'rgba(29, 201, 183, 0.2)',
                    },
                    borderColor: 'rgba(29, 201, 183, 0.7)',
                    tension: 0.1,
                    pointBackgroundColor: '#1dc9b7',
                    pointBorderColor: '#1dc9b7',
                }]
            };
            const config = {
                type: 'line',
                data: chartdata,
                options: {}
            };
            if (subscription_chart != null) {
                subscription_chart.destroy();
            }
            if (document.getElementById("subscription_chart")) {
                subscription_chart = new Chart(document.getElementById('subscription_chart'), config);
            }
        }
    </script>


    <!-- User Chart -->
    <script>
        var user_chart = null;
        var user_labels = <?php echo e(Js::from($user_labels)); ?>;
        var user_data = <?php echo e(Js::from($user_data)); ?>;
        createOrderChart(user_labels, user_data);
        $("#user_year").on('change', function() {
            "use strict";
            let year = $("#user_year").val();
            let url = $("#user_year").attr('data-url');
            $('#preloader , #status').show();
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: url,
                method: "GET",
                data: {
                    user_year: year
                },
                dataType: "JSON",
                success: function(data) {
                    $('#preloader , #status').hide();
                    createOrderChart(data.user_labels, data.user_data)
                },
                error: function(data) {
                    $('#preloader , #status').hide();
                    // console.log(data);
                }
            });
        });

        function createOrderChart(user_labels, user_data) {
            "use strict";
            const chartdata = {
                labels: user_labels,
                datasets: [{
                    label: 'Users',
                    data: user_data,
                    backgroundColor: ['rgba(54, 162, 235, 0.4)', 'rgba(255, 150, 86, 0.4)',
                        'rgba(140, 162, 198, 0.4)', 'rgba(255, 206, 86, 0.4)', 'rgba(255, 99, 132, 0.4)',
                        'rgba(255, 159, 64, 0.4)', 'rgba(255, 205, 86, 0.4)', 'rgba(75, 192, 192, 0.4)',
                        'rgba(54, 170, 235, 0.4)', 'rgba(153, 102, 255, 0.4)', 'rgba(201, 203, 207, 0.4)',
                        'rgba(255, 159, 64, 0.4)'
                    ],
                    hoverOffset: 10
                }]
            };
            const config = {
                type: 'pie',
                data: chartdata,
                options: {}
            };
            if (user_chart != null) {
                user_chart.destroy();
            }
            if (document.getElementById("user_chart")) {
                user_chart = new Chart(document.getElementById('user_chart'), config);
            }
        }
    </script>


    <!-- Business Chart -->
    <script>
        var business_chart = null;
        var business_labels = <?php echo e(Js::from($business_labels)); ?>;
        var business_data = <?php echo e(Js::from($business_data)); ?>;
        createUserChart(business_labels, business_data);
        $("#business_year").on('change', function() {
            "use strict";
            let year = $("#business_year").val();
            let url = $("#business_year").attr('data-url');
            $('#preloader , #status').show();
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                url: url,
                method: "GET",
                data: {
                    business_year: year
                },
                dataType: "JSON",
                success: function(data) {
                    $('#preloader , #status').hide();
                    createUserChart(data.business_labels, data.business_data)
                },
                error: function(data) {
                    $('#preloader , #status').hide();
                    // console.log(data);
                }
            });
        });

        function createUserChart(business_labels, business_data) {
            "use strict";
            const chartdata = {
                labels: business_labels,
                datasets: [{
                    label: business_label,
                    data: business_data,
                    backgroundColor: ['rgba(54, 162, 235, 0.4)', 'rgba(255, 150, 86, 0.4)',
                        'rgba(140, 162, 198, 0.4)', 'rgba(255, 206, 86, 0.4)', 'rgba(255, 99, 132, 0.4)',
                        'rgba(255, 159, 64, 0.4)', 'rgba(255, 205, 86, 0.4)', 'rgba(75, 192, 192, 0.4)',
                        'rgba(54, 170, 235, 0.4)', 'rgba(153, 102, 255, 0.4)', 'rgba(201, 203, 207, 0.4)',
                        'rgba(255, 159, 64, 0.4)'
                    ],
                    borderColor: ['rgba(54, 162, 235, 1)', 'rgba(255, 150, 86, 1)', 'rgba(140, 162, 198, 1)',
                        'rgba(255, 206, 86, 1)', 'rgba(255, 99, 132, 1)', 'rgba(255, 159, 64, 1)',
                        'rgba(255, 205, 86, 1)', 'rgba(75, 192, 192, 1)', 'rgba(54, 170, 235, 1)',
                        'rgba(153, 102, 255, 1)', 'rgba(201, 203, 207, 1)', 'rgba(255, 159, 64, 1)'
                    ],

                    borderWidth: 1
                }]
            };
            const config = {
                type: 'bar',
                data: chartdata,
                options: {}
            };
            if (business_chart != null) {
                business_chart.destroy();
            }
            if (document.getElementById("business_chart")) {
                business_chart = new Chart(document.getElementById('business_chart'), config);
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/index.blade.php ENDPATH**/ ?>